Bug 1052923 - Incorporate BOMs information into jboss-eap-6.XXXX-all-GAVs.txt
Summary: Incorporate BOMs information into jboss-eap-6.XXXX-all-GAVs.txt
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Maven Repository
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.2.1
Assignee: Vladimir Dosoudil
QA Contact: Nikoleta Hlavickova
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-14 12:15 UTC by Rostislav Svoboda
Modified: 2014-02-24 20:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-24 20:15:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Rostislav Svoboda 2014-01-14 12:15:32 UTC
Prod team provides txt files e.g. jboss-eap-6.2.0-all-GAVs.txt [1] with details about used artifacts.

Please include details about BOMs from org/jboss/bom directories in maven repo zip

[rsvoboda@steve 620GA]$ ls ./jboss-eap-6.2.0.GA-maven-repository/org/jboss/bom/*

./jboss-eap-6.2.0.GA-maven-repository/org/jboss/bom/eap:
jboss-eap-bom-parent              jboss-javaee-6.0-with-logging   jboss-javaee-6.0-with-security
jboss-javaee-6.0-with-hibernate   jboss-javaee-6.0-with-osgi      jboss-javaee-6.0-with-tools
jboss-javaee-6.0-with-hibernate3  jboss-javaee-6.0-with-resteasy  jboss-javaee-6.0-with-transactions

./jboss-eap-6.2.0.GA-maven-repository/org/jboss/bom/eap6-supported-artifacts:
6.2.0.GA

I'm mainly interested in eap6-supported-artifacts BOM.

Expected lines could look like this (example based on EAP 6.2.0.GA):
org.jboss.bom:eap6-supported-artifacts:6.2.0.GA:pom:
org.jboss.bom.eap:jboss-javaee-6.0-with-resteasy:6.2.0.GA:pom:
...


[1] Example http://download.devel.redhat.com/released/JBEAP-6/6.2.0/jboss-eap-6.2.0-all-GAVs.txt

Comment 1 Vladimir Dosoudil 2014-01-17 14:21:40 UTC
Jenkins job jboss-eap-6.2.x-maven-repository modified to include BOMs from group org.jboss.bom in both lists -all-GAVs.txt and -supported-GAVs.txt.

Comment 2 Scott Mumford 2014-01-20 06:00:03 UTC
Marking for inclusion in 6.2.1 release notes documentation.

Comment 3 Scott Mumford 2014-01-23 04:03:38 UTC
Unmarking for the 6.2.1 release notes, as this is an enhancement and the 6.2.1 is bug-fix only.


Note You need to log in before you can comment on or make changes to this bug.